Create order
Creates a new order in checkout state with the given line items, contact and shipping address.
Returns the new order including web checkout and cart links. Requires admin scope.
POST
/shops/{shop_id}/ordersAuthorization
AuthorizationBearer token (JWT) · headerrequiredOAuth 2.0 Bearer token. Obtain via POST https://auth.onbolder.com/oauth/token.
Scopes:
adminPath parameters
shop_idstringrequiredShop ID or subdomain
Request body
requiredapplication/jsonline_itemsLineItemInput[]Show propertiesHide properties
Array of
LineItemInputvariant_idintegerrequiredunitsintegerrequiredNumber of units. Pass -1 to remove this variant from the order.
contactContactInputShow propertiesHide properties
emailstringrequiredUsed to look up an existing contact. Required.
namestringRequired for new contacts
phone_numberstringRequired for new contacts
companystringaddressAddressInputShow propertiesHide properties
streetstringstreet_2stringlocality_namestringregion_namestringcountry_codestringpostal_codestringResponses
201
Order created
idintegershop_idintegercodestringstatusstringAllowed:
checkoutpendingclosedshippedinvalidnet_totalintegerOrder subtotal in cents (before shipping/discounts)
totalintegerFinal total in cents
shipping_totalintegershipping_descriptionstringdiscount_totalintegertracking_codestring | nullcourier_namestring | nulltotal_weight_in_gramsintegercreated_onstring<date-time>updated_onstring<date-time>pending_onstring<date-time> | nullclosed_onstring<date-time> | nullshipped_onstring<date-time> | nullfulfillmentobjectShow propertiesHide properties
fulfillment_methodstringAllowed:
shippingpickuppayment_infoobjectShow propertiesHide properties
typestringnamestringauth_codestringtransaction_idstring_linksobject_embeddedobjectShow propertiesHide properties
contactContactSummaryShow propertiesHide properties
idintegernamestringemailstringphone_numberstringaddressAddressShow propertiesHide properties
streetstringstreet_2stringlocality_namestringregion_namestringcountry_namestringcountry_codestringpostal_codestring | nulllat_longstringLatitude,longitude pair
line_itemsLineItem[]Show propertiesHide properties
Array of
LineItemproduct_idintegerproduct_titlestringunit_priceintegerunitsintegerdiscount_totalintegernet_totalintegertotalintegervariant_idintegervariant_titlestringvariant_skustringweight_in_gramsintegerpromotionPromotionShow propertiesHide properties
namestringdiscountintegerdiscount_typestringAllowed:
$%free_shippingbooleandiscountsobject[]422
Validation errors
_classstring[]_embeddedobjectShow propertiesHide properties
errorsobject[]Show propertiesHide properties
Array of
object_classstring[]fieldstringmessagesstring[]